%{?nodejs_find_provides_and_requires}

Name:           nodejs-fstream-ignore
Version:        1.0.3
Release:        2%{?dist}.2
Summary:        A file stream object that can ignore files by globs
License:        BSD
Group:          System Environment/Libraries
URL:            https://github.com/isaacs/fstream-ignore
Source0:        https://registry.npmjs.org/fstream-ignore/-/fstream-ignore-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(fstream)
BuildRequires:  npm(inherits) >= 2.0.0
BuildRequires:  npm(minimatch)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(rimraf)

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fstream-ignore
cp -pr ignore.js package.json %{buildroot}%{nodejs_sitelib}/fstream-ignore
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__tap test/*.js


%files
%doc README.md example
%license LICENSE
%{nodejs_sitelib}/fstream-ignore


%changelog
* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 1.0.3-2
- Remove npm(minimatch) fixdep
* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 1.0.3-1
- Update to 1.0.3 upstream release
- Enable tests
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-1
- new upstream release 0.0.7
* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.6-3
- restrict to compatible arches
* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.6-2
- add macro for EPEL6 dependency generation
* Sat Feb  9 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.6-1
- new upstream release 0.0.6
* Tue Jan 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.5-4
- fix License tag
* Tue Jan  8 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.5-3
- add missing build section
- write better summary
* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.5-2
- clean up for submission
* Wed Mar 28 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.5-1
- initial package
